# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu May 25 19:24:46 2023
# ------------------------------------------------

package:
  name: distributed
  version: 2023.4.1
source:
  sha256: 0140376338efdcf8db1d03f7c1fdbb5eab2a337b03e955d927c116824ee94ac5
  url: https://pypi.io/packages/source/d/distributed/distributed-2023.4.1.tar.gz
build:
  entry_points:
    - dask-scheduler=distributed.cli.dask_scheduler:main
    - dask-ssh=distributed.cli.dask_ssh:main
    - dask-worker=distributed.cli.dask_worker:main
  number: '1'
  script: /croot/distributed_1685042698116/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv --no-build-isolation
  string: py310h06a4308_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.8 h7f8727e_0
    - pip 23.0.1 py310h06a4308_0
    - python 3.10.11 h955ad1f_3
    - readline 8.2 h5eee18b_0
    - setuptools 66.0.0 py310h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py310h06a4308_0
    - tzdata 2023c h04d1e81_0
    - versioneer 0.28 py310h06a4308_0
    - wheel 0.38.4 py310h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - click >=8.0
    - cloudpickle >=1.5.0
    - dask-core 2023.4.1.*
    - jinja2 >=2.10.3
    - locket >=1.0.0
    - msgpack-python >=1.0.0
    - packaging >=20.0
    - psutil >=5.7.0
    - python >=3.10,<3.11.0a0
    - pyyaml >=5.3.1
    - sortedcontainers >=2.0.5
    - tblib >=1.6.0
    - toolz >=0.10.0
    - tornado >=6.0.3
    - urllib3 >=1.24.3
    - zict >=2.2.0
  run_constrained:
    - openssl >3.0.0a,<3.1.0a
test:
  commands:
    - pip check
    - dask-scheduler --help
    - dask-ssh --help
    - dask-worker --help
  imports:
    - distributed
    - distributed.cli
    - distributed.comm
    - distributed.deploy
    - distributed.diagnostics
    - distributed.protocol
  requires:
    - pip
about:
  description: 'Distributed is a lightweight library for distributed computing in
    Python.

    It extends both the concurrent.futures and dask APIs to moderate sized

    clusters.

    '
  dev_url: https://github.com/dask/distributed
  doc_url: https://distributed.dask.org
  home: https://distributed.dask.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Distributed computing with Dask
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2f928504-1418-4bb1-b294-7a2ebcc9cc82
  recipe-maintainers:
    - jakirkham
    - jcrist
    - jrbourbeau
    - marcelotrevisani
    - martindurant
    - mrocklin
    - ogrisel
    - tomaugspurger
  remote_url: git@github.com:AnacondaRecipes/distributed-feedstock.git
  sha: 74828ce7faa61c8ab021db13ee2a2773eee3bc91
